%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

% create a comparison of the expected earnings change at layoff in boom and
% recession
function [Recess,Expan] = DavisVonWachter(p,x,t)


R = false(size(t));
R( (t >= 1980) & (t <= 1980.5)) = true;
R( (t >= 1981.5) & (t <= 1982.75)) = true;
R( (t >= 1990.5) & (t <= 1991.00)) = true;
R( (t >= 2001) & (t <= 2001.75)) = true;
R( (t >= 2007.75) & (t <= 2009.25)) = true;



Recess = p(1) * (p(6) - mean(x(R)));
Expan = p(1) * (p(6) - mean(x(~R)));


