%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [ Y, A, B] = MyPCA( X )
% [ Y, A ] = MyPCA( X )
% Find the principal components of the data in X
% 
% Inputs:
% X -- data matrix: columns are variables and rows are observations
%
% Outputs:
% Y -- transformed data into principal components
% A, B -- original data is X= Y*A + B

m = mean(X);
X = bsxfun(@minus,X,m);

s = std(X);
X = bsxfun(@rdivide,X,s);


[A, ~] = eigs(cov(X));

Y = X * A;

A = A' * diag(s);
B = ones(size(X,1),1)*m;

end

