%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 



doTitle = false;

E1 = load('skew_plots_1.mat');
E2 = load('skew_plots_2.mat');
E3 = load('skew_plots_3.mat');




%% Kelley''s skewness 5 year with Alternatives 1 and 2
f = figure;
set(f,'Name','5yr Alts 1 and 2')
axes('FontSize',14)
hold on
p = [plot(1978:2006,E1.skew_mod_5,'k');
     plot(1978:2006,E2.skew_mod_5,'k');
     plot(1978:2006,E3.skew_mod_5,'k');
     plot(1978:2006,E3.skew_dat_5,'k')];
     
hold off
if doTitle
    title('Kelley''s skewness 5 year')
end
box on


set(p(1),'Marker','*')
set(p(2), 'Marker','o')
set(p(3), 'LineWidth',2)
set(p(4),'LineStyle','--')
set(p(4),'Color',repmat(0.3,1,3))
xlim([1976 2007])


