%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [lambda_s, lambda_l, zeta, ParticipationRate, AvgWeeklyHours, U_short, U_med, U_long, t] = new_lambda_zeta(startdate,enddate)

if nargin == 0
    startdate = 1966;
    enddate = 2013.75;
end

load quarterly_labor.mat


zeta = zeta(t>= startdate & t<=enddate);
zeta = zeta - hpfilter(zeta,1e5) + mean(zeta);

lambda_s = lambda_s(t>= startdate & t<=enddate);
lambda_s = lambda_s - hpfilter(lambda_s,1e5) + mean(lambda_s);

lambda_l = lambda_l(t>= startdate & t<=enddate);
lambda_l = lambda_l - hpfilter(lambda_l,1e5) + mean(lambda_l);

initialclaims = initialclaims(t>= startdate & t<=enddate);
initialclaims = initialclaims - hpfilter(initialclaims,1e5) + mean(initialclaims);


WageAndSalary = WageAndSalary(t>= startdate & t<=enddate);

AvgWeeklyHours = AvgWeeklyHours(t>= startdate & t<=enddate);
ParticipationRate = ParticipationRate(t>= startdate & t<=enddate);
U_short = U_short(t>= startdate & t<=enddate);
U_med = U_med(t>= startdate & t<=enddate);
U_long = U_long(t>= startdate & t<=enddate);



t = t(t>= startdate & t<=enddate);