%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 


addpath('Library/ChadJones/')

figure;

load('quarterly_labor_out.mat','x')
t = 1977:0.25:2011.75;
plot(t,x,'k')
shadenber;

dlmwrite('risk_time_series.csv',[floor(t') 1+4*(t' - floor(t')) x],'delimiter',',','precision',4)


startDate = 1977.0;
endDate = 2011.75;

t = (startDate:0.25:endDate)';
R = zeros(size(t));
load nberdates;

for i = 29:33
    R(t >= start(i) & t <= finish(i)) = 1;
end
R = logical(R);
% 
% disp('Mean x in recessions')
% mean(x(R))
% disp('Mean x in expansions')
% mean(x(~R))

    
set(gca,'FontSize',14)
