%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [K, us, ul, zeta, lambdas, Q] = CompleteMarketsSteadyState( Params  )


[ us, ul ] = LaborMarketSteadyState(   );
zeta = logistic(Params.labor.m(1));
lambdas = logistic(Params.labor.m(2));

z = 0;
Rtilde = 1/(Params.beta(end));
K = ((Rtilde - 1 + Params.delta)/(Params.alpha * exp(z))/((1-us-ul)^(1-Params.alpha)))^(1/(Params.alpha-1));

SteadyState = true;
Q = QEvolution( ones(6,1), us, ul, zeta, lambdas, lambdas*Params.labor.LambdaEllFactor, 0 , Params, SteadyState)';

end

