%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function Pe = EpsGrid(P,eps,Order)
[n, d] = size(P);



Pe = zeros(size(P));


NotDeleted = true(n,1);
ctr = 1;
for i = 1:n
    if NotDeleted(Order(i))
        Pe(ctr,:) = P(Order(i),:);
        ctr = ctr + 1;
        dstnce = EDS_dist(P(NotDeleted,:),P(Order(i),:));
        NotDeleted(NotDeleted) = dstnce > eps;
    end
    
    if all(~NotDeleted), break; end
end

Pe = Pe(1:ctr-1,:);


% 
% %test--check that distance is always greater than eps
% 
% for i = 1:length(Pe)
%     
% 
%     dstnce = sqrt(sum(bsxfun(@minus,Pe,Pe(i,:)).^2,2));
%     self = false(length(Pe),1);
%     self(i) = true;
%     assert(all(dstnce > eps | self))
% 
%     
% end