%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [Pe, eps] = MEpsGrid(P,M, tol,eps0,Order,a,b,iter)
%looks for eps such that EpsGrid returns M points

d = size(P,2);

if ~exist('Order','var')
    n = size(P,1);
    rng(349242)
    [~,Order] = sort(rand(n,1));
end



if nargin < 6
    
    disp('Constructing Eps-Grid')
    eps = eps0(1);
    Pe = EpsGrid(P,eps,Order);
    a = size(Pe,1);
    disp(['a = ' num2str(a)])
    if a >= M-tol && a <= M+tol, return; end
    if a < M, error('eps0(1) is too large'); end
    

    eps = eps0(2);
    Pe = EpsGrid(P,eps,Order);
    b = size(Pe,1);
    disp(['b = ' num2str(b)])
    if b >= M-tol && b <= M+tol, return; end
    if b > M, error('eps0(2) is too large'); end
    
    iter = 0;
    
end


if iter == 20
    tol = tol * 2;
elseif iter == 40
    tol = tol * 2;
elseif iter == 60
    error('MEpsGrid did not converge.')
end

eps = mean(eps0);
Pe = EpsGrid(P,eps,Order);
c = size(Pe,1);
disp(['c = ' num2str(c)])
if c >= M-tol && c <= M+tol, return; end

if c > M  %midpoint produces too many points so it is too small
    epsnew = [mean(eps0) eps0(2)];
    Pe = MEpsGrid(P,M, tol,epsnew,Order,c,b,iter+1);
else % midpoint produces too few points so it is too large
    epsnew = [eps0(1) mean(eps0)];
    Pe = MEpsGrid(P,M, tol,epsnew,Order,a,c,iter+1);
end











end

