%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

Data = randn(100,2)*[1  1; 2  -1/3];

Data = bsxfun(@minus,Data,mean(Data));
Data = bsxfun(@rdivide,Data,std(Data));

[U,S,V] = svd(Data); % produces a diagonal matrix S, of the same 
                  % dimension as X and with nonnegative diagonal elements in
                  % decreasing order, and unitary matrices U and V so that X = U*S*V'
PC = Data*V';    
D = std(PC);
PC = PC * diag(1./D);


var(PC)
corrcoef(PC)


  
DataReconstructed = PC*diag(D)*V;

assert(max(abs(Data(:) - DataReconstructed(:))) < 1e-10)