%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

n = 1000;
d = 2;
h = n^(-1/(d+4));  %bandwidth
X = randn(n,d);
delta = 0.05;

dens = zeros(n,1);

for i = 1:n
    %sqrt(sum(bsxfun(@minus,X,X(i,:)).^2,2))
    dens(i) = (1/(n*(2*pi)^(d/2)*h^d))*sum(exp(-EDS_dist(X,X(i,:)))/(2*h^2));
end
[~,I] = sort(dens);


%discard lowest 5%
ndisc = round(n*delta);
Xout = X(I(ndisc+1:end),:);

size(Xout)