%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 


%step 1: in X, deg out: s struct with basis_fs
deg = 2;
X = randn(10,2);
s  = AMpolyint_step1( X, deg );

f1 = @(X)( X(:,1)+0.2*X(:,2).^2 + 3*X(:,1).*X(:,2));
f2 = @(X)( 2*X(:,1)+X(:,2).^2 + X(:,1).*X(:,2));
y = [f1(X) f2(X)];

%step2: in: y, s structure, out s structure with b
%y    = basis_fs*[b1 b2]
%nx2     nxp      px2
s  = AMpolyint_step2( s, y );
(s.B*s.coef - y)

Xtest = randn(10,2);

%step 3  in: Xtest, s structure out: yinterp
yinterp  = AMpolyint_step3( s, Xtest );

ytest = [f1(Xtest) f2(Xtest)];
(yinterp-ytest)



% OLD VERSION-- one function
% %step 1
% X = randn(10,2);
% basis_fs = Ord_Polynomial_N(X,2);
% 
% f = @(X)( X(:,1)+0.2*X(:,2).^2 + 3*X(:,1).*X(:,2));
% y = f(X);
% 
% %step2
% b = basis_fs\y;
% (basis_fs*b - y)
% 
% Xtest = randn(10,2);
% 
% %step 3
% basis_test = Ord_Polynomial_N(Xtest,2);
% yinterp = basis_test*b;
% 
% ytest = f(Xtest);
% (yinterp-ytest)