%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function GreatRecession(S0,D0,polfunc,StartYear)
% Simulates the model with labor market shocks taken from the data

global Params;

load(['data/shocks_' num2str(StartYear) '.mat'], 'eps_orth');


AggEps = [zeros(1,size(eps_orth,2)); eps_orth];
if Params.RepAgent
    simstates = SimulateDynamicsRA(polfunc,S0,AggEps,Params,0);
    CYPcts = [];
else

    
    [simstates, ~, CYPcts] = SimulateDynamics(polfunc,S0,D0,AggEps,Params,0,true);
    


end

clear AggEps;

% Aggregate quantities
[y, c, u, z, L, k, kp, R] = simulated_static(simstates);


if StartYear == 2007
    save(['data/GreatRecess' Params.fnameSuffix '.mat'],'S0', 'z', 'k', 'u', 'kp', 'L', 'y', 'c', 'R', 'simstates','CYPcts');
else
    save(['data/EmpiricalSimulation_' num2str(StartYear) '_' Params.fnameSuffix '.mat'],   'S0', 'z', 'k', 'u', 'kp', 'L', 'y', 'c', 'R', 'simstates','CYPcts');
end




end