%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [ us, ul ] = LaborMarketSteadyState(   )
%Solve for the steady state stocks of short-term and long-term unemployed

global Params;

lambda_s = logistic(Params.labor.m(2));
lambda_l = logistic(Params.labor.m(2))*Params.labor.LambdaEllFactor;
zeta = logistic(Params.labor.m(1));

X = (1-lambda_s)/lambda_l;
us = zeta/(1+zeta*(1+X));
ul = X*us;

end

