%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function  MUp  = get_MU( x,zetap, lambdap, us,ul, Params )

emp = 1-us-ul;
empp = emp*(1-zetap) + lambdap*us + Params.labor.LambdaEllFactor * lambdap * ul;
p1 = 1 - Params.p2*zetap*emp - Params.p3*empp;

mu1 = Params.mu10 - Params.mu11 * x;
mu2 = Params.mu20 - Params.mu21 * x;
mu3 = Params.mu30 - Params.mu31 * x;


mubar = -log(p1*exp(mu1+Params.sigma1^2/2) ...
    + Params.p2*zetap*emp*exp(mu2+Params.sigma2^2/2) ...
    + Params.p3*empp*exp(mu3+Params.sigma3^2/2));

mu1 = mu1+mubar;
mu2 = mu2+mubar;
mu3 = mu3+mubar;

MUp = [mu1 mu2 mu3];



end

