%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [coh, income] = get_coh(x,R,IPES,incomeIndex,trans, Params)
%compute consump, labor supply, and taxes
%inputs: 
% x assets (vector)
% savings (vector)
% R interest rate
% IPES income per effective skill


    income = IPES * trans * Params.employed_n(incomeIndex);
    
    coh = income +  R*x; 
    
    if nargout > 1
        income = [income income*Params.employed(incomeIndex) (R-1)*x];
    end
    