%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [y, c, u, z, L, k, kp, R] = simulated_static(simstates)

global Params;

indz = nameInd('z',Params.aggnames);
indushat = nameInd('ushat',Params.aggnames);
indulhat = nameInd('ulhat',Params.aggnames);
indk = nameInd('k',Params.aggnames);
indQ11 = nameInd('Q11',Params.aggnames);

z = simstates(indz,1:end-1);
k = simstates(indk,1:end-1);
u = logistic(simstates(indushat,1:end-1)) + logistic(simstates(indulhat,1:end-1));
kp = simstates(indk,2:end);
if Params.doTails
    Q11 = simstates(indQ11,1:end-1);
else
    Q11 = Params.Q(1);
end
L = (1-u).*Q11;
y = exp(z).*k.^Params.alpha.*L.^(1-Params.alpha);
c = y + (1-Params.delta)*k - kp;

Rtilde = Params.alpha * exp(z) .*k.^(Params.alpha-1) .*L.^(1-Params.alpha) + 1 - Params.delta;
R = Rtilde./(1-Params.omega);

end