%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [w, R, IPES, lambdas, zeta, x] = static(S, Params)

iz = 1;
izetahat = 2;
ilambdahat = 3;
ik = 4;
iushat = 5;
iulhat = 6;
iQ = 7:12;
ix = 13;
    


z = S(iz);
K = S(ik);
us = logistic(S(iushat));
ul = logistic(S(iulhat));
u = us + ul;

if Params.dox
    x = S(ix);
else
    x = 0;
end
    
lambdas = logistic(S(ilambdahat));
zeta = logistic(S(izetahat));
    
if Params.doTails
    Q = S(iQ);
else
    Q = Params.Q;
end
L = (1-u)*Q(1);
w = (1-Params.alpha)* exp(z) * K^Params.alpha * L^(-Params.alpha);
Rtilde = Params.alpha * exp(z) *K^(Params.alpha-1) *L^(1-Params.alpha) + 1 - Params.delta;
R = Rtilde./(1-Params.omega);



if Params.by > 0
    IPES =  w*L/dot(Q(4:6), [ 1-u Params.bus*us  Params.bul*ul ] );
else
    error('Note coded yet, see notebook for 11/22/16')
end
